# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: markTemplates
    category: XC\WebmasterKit
    type: checkbox
    orderby: 500
    value: 0
    translations:
      - {code: en, option_name: 'Template hierarchy viewer (mark templates)', option_comment: 'Template tracking is a feature that allows you to find out the place of a specific page element in your site''s template hierarchy. With this feature, simply by pointing your cursor at any element on a page, you can find out the name of the template file in which this element is declared, as well as view the hierarchy of parent templates for this element.'}
      - {code: ru, option_name: 'Иерархия виджетов и шаблонов', option_comment: 'Данный инструмент полезен при поиске нужного шаблона по визуальному положению элемента на странице. Кликая на элементы, можно узнать полный путь к шаблону, а также всю иерархию родительских шаблонов и виджетов.'}
    module: XC\WebmasterKit
  - name: separatorLog
    category: XC\WebmasterKit
    type: separator
    orderby: 1000
    value: 0
    translations:
      - {code: en, option_name: Logging}
      - {code: ru, option_name: Логирование}
    module: XC\WebmasterKit
  - name: logMail
    category: XC\WebmasterKit
    type: checkbox
    orderby: 1100
    value: 0
    translations:
      - {code: en, option_name: 'Log mail messages'}
      - {code: ru, option_name: 'Логировать почтовые сообщения'}
    module: XC\WebmasterKit
  - name: logSQL
    category: XC\WebmasterKit
    type: checkbox
    orderby: 1200
    value: 0
    translations:
      - {code: en, option_name: 'Log SQL queries'}
      - {code: ru, option_name: 'Логировать SQL запросы'}
    module: XC\WebmasterKit
  - name: logSQLRegExp
    category: XC\WebmasterKit
    type: text
    orderby: 1210
    value: ''
    translations:
      - {code: en, option_name: 'Regular expression filter'}
      - {code: ru, option_name: 'Фильтр по регулярному выражению'}
    module: XC\WebmasterKit
  - name: slowLogQueryDuration
    category: XC\WebmasterKit
    type: \XLite\View\FormField\Input\Text\Integer
    orderby: 1400
    value: 800
    translations:
      - {code: en, option_name: 'Slow log query duration(in milliseconds)'}
    module: XC\WebmasterKit
XLite\Model\LanguageLabel:
  - name: 'Webmaster Kit module is recommended for use by advanced users only. It must not be used on production servers as it may significantly reduce the website performance.'
    translations:
      - {code: en, label: 'This module is recommended for use by advanced users only. It must not be used on production servers as it may significantly reduce the website performance.'}
      - {code: ru, label: 'Модуль Webmaster kit рекомендован для использования только продвинутыми пользователями. Он не должен использоваться на серверах действующих магазинов, так как может значительно замедлять работу сайта.'}
  - name: 'If the store is being run in production, it is strongly recommended NOT to keep the module Webmaster Kit enabled'
    translations:
      - {code: en, label: 'If the store is being run in production, it is strongly recommended NOT to keep the module <a href="{{url}}">Webmaster Kit</a> enabled, as it is intended only for the development stage when you need to implement design changes and custom features. On production servers, it may significantly reduce the website performance.'}
      - {code: ru, label: 'После запуска магазина в эксплуатацию, настоятельно рекомендуется не оставлять включенным модуль <a href="{{url}}">Webmaster Kit</a>, так как он предназначен для использования только на стадии отладки, когда производится реализация изменений дизайна/функциональности. На серверах действующих магазинов данный модуль может значительно замедлять работу сайта.'}
